Plank.ApplicationDockItemProvider – plank Reference Manual

# ApplicationDockItemProvider

## Object Hierarchy:

## Description:

public class ApplicationDockItemProvider : DockItemProvider, UnityClient

A container and controller class for managing application dock items on a dock.

All known sub-classes:

- DefaultApplicationDockItemProvider

Namespace: Plank
Package: plank

## Content:

### Properties:

- public File LaunchersDir { get; construct; }

### Creation methods:

- public ApplicationDockItemProvider (File launchers_dir)
  Creates a new container for dock items.

### Methods:

- public override bool add_item_with_uri (string uri, DockItem? target = null)
  Adds a dock item with the given URI to the collection.
- protected virtual void app_opened (Application app)
- protected override void connect_element (DockElement element)
- protected void delay_items_monitor ()
- protected override void disconnect_element (DockElement element)
- public override string[] get_dockitem_filenames ()
  Get ordered array of dockitem-filenames handled by this provider
- protected unowned ApplicationDockItem? item_for_application (Application app)
- public override void prepare ()
  Do some special implementation specific preparation
- public void remove_launcher_entry (string sender_name)
- protected void resume_items_monitor ()
- public void update_launcher_entry (string sender_name, Variant parameters, bool is_retry = false)

### Signals:

- public signal void item_window_added (ApplicationDockItem item)

### Inherited Members:

All known members inherited from class Plank.DockItemProvider

- accept_drop
- add_item_with_uri
- can_accept_drop

- connect_element
- disconnect_element
- get_dockitem_filenames

- handle_item_deleted
- item_exists_for_uri
- item_for_uri

All known members inherited from class Plank.DockContainer

- Elements
- VisibleElements
- add
- add_all
- clear
- connect_element
- disconnect_element
- elements_changed

- internal_elements
- move_element
- move_to
- placeholder_item
- positions_changed
- prepare
- prepend

- remove
- remove_all
- replace
- reset_buffers
- states_changed
- update_visible_elements
- visible_elements

All known members inherited from class Plank.DockElement

- AddTime
- Button
- ClickedAnimation
- Container
- HoveredAnimation
- IsAttached
- IsVisible
- LastActive
- LastClicked
- LastHovered
- LastMove
- LastScrolled
- LastUrgent

- LastValid
- RemoveTime
- ScrolledAnimation
- Text
- accept_drop
- as_uri
- can_accept_drop
- can_be_removed
- clicked
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- create_menu_item

- create_menu_item_with_pixbuf
- get_dock
- get_drop_text
- get_menu_items
- hovered
- needs_redraw
- on_clicked
- on_hovered
- on_scrolled
- reset_buffers
- scrolled
- unique_id

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Plank.UnityClient

- remove_launcher_entry

- update_launcher_entry